(function ($) {
    "use strict";
    $(document).ready(function () {
        var schedule_data_json = tryParseJSON($("#lafka_order_hours_schedule").val());

        $("#lafka_order_hours_schedule_container").jqs({
            data: schedule_data_json,
            periodOptions: false
        });

        $("#lafka_order_hours_holidays_calendar").multiDatesPicker({
            dateFormat: "yy-mm-dd"
        });

        $("#lafka-plugin-open-hours-form").on("submit", function (event) {
            $("#lafka_order_hours_schedule").val($("#lafka_order_hours_schedule_container").jqs('export'));
        })
    });

    function tryParseJSON (jsonString){
        try {
            var o = JSON.parse(jsonString);

            // Handle non-exception-throwing cases:
            // Neither JSON.parse(false) or JSON.parse(1234) throw errors, hence the type-checking,
            // but... JSON.parse(null) returns null, and typeof null === "object",
            // so we must check for that, too. Thankfully, null is falsey, so this suffices:
            if (o && typeof o === "object") {
                return o;
            }
        }
        catch (e) { }

        return [];
    }
})(window.jQuery);